package com.jsh.erp.controller.apkVersion;


import com.jsh.erp.base.AjaxResult;
import com.jsh.erp.base.BaseController;
import com.jsh.erp.base.TableDataInfo;
import com.jsh.erp.datasource.dto.TaskStocktakingDTO;
import com.jsh.erp.datasource.dto.TaskStocktakingQueryDTO;
import com.jsh.erp.datasource.entities.ApkVersion;
import com.jsh.erp.datasource.vo.TaskStocktakingVO;
import com.jsh.erp.service.ApkVersionService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

@RestController
@RequestMapping(value = "/apkVersion")
@Api(tags = {"apk版本管理接口"})
public class apkVersionController extends BaseController {

    @Resource
    private ApkVersionService apkVersionService;

    @ApiOperation("apk版本列表")
    @PostMapping("/list")
    public TableDataInfo list(){
        startPage();
        List<ApkVersion> list = apkVersionService.list();
        return getDataTable(list);
    }

    @ApiOperation("新增apk版本")
    @PostMapping("/add")
    public AjaxResult add(@RequestBody ApkVersion apkVersion) {
        apkVersion.setCreateTime(new Date());
        boolean b = apkVersionService.save(apkVersion);
        if (!b){
            return AjaxResult.error("创建失败，请联系系统管理员");
        }
        return AjaxResult.success();
    }

}
